;;; types.sch -- the functions provided by the modules scixatypes & scixdtypes.

;;; Assembler types
(define-external a-request           scixatypes)
(define-external a-string16          scixatypes)
(define-external a-bitmask           scixatypes)
(define-external a-window            scixatypes)
(define-external a-pixmap            scixatypes)
(define-external a-cursor            scixatypes)
(define-external a-font              scixatypes)
(define-external a-gcontext          scixatypes)
(define-external a-colormap          scixatypes)
(define-external a-drawable          scixatypes)
(define-external a-fontable          scixatypes)
(define-external a-atom              scixatypes)
(define-external a-visualid          scixatypes)
(define-external a-resource          scixatypes)
(define-external a-timestamp         scixatypes)
(define-external a-keysym            scixatypes)
(define-external a-color             scixatypes)
(define-external a-bitmask16         scixatypes)
(define-external a-bitgravity        scixdtypes) ; KLUDGE: enumerated types
(define-external a-wingravity        scixdtypes) ; are defined in dtypes.
(define-external a-setofevent        scixatypes)
(define-external a-setofpointerevent scixatypes)
(define-external a-setofdeviceevent  scixatypes)
(define-external a-setofkeymask      scixatypes)
(define-external a-setofkeybutmask   scixatypes)
(define-external a-keycode           scixatypes)
(define-external a-button            scixatypes)
(define-external a-bool              scixatypes)
;;; johani -- Problems with initialization of the requests2 module.
;(define-external a-point             scixatypes)
;(define-external a-rectangle         scixatypes)
;(define-external a-arc               scixatypes)
;(define-external a-list              scixatypes)
(define-external a-cursor-or-none    scixatypes)
(define-external a-intlist           scixatypes)
(define-external a-listofbyte        scixatypes)
(define-external a-window-or-none    scixatypes)
(define-external a-listofvalue       scixatypes)
;;; Enumerated types used in masks
(define-external a-onoff-mode        scixdtypes)
(define-external a-gc-arc-mode       scixdtypes)
(define-external a-gc-subwindow-mode scixdtypes)
(define-external a-gc-fill-rule      scixdtypes)
(define-external a-gc-fill-style     scixdtypes)
(define-external a-gc-join-style     scixdtypes)
(define-external a-gc-cap-style      scixdtypes)
(define-external a-gc-line-style     scixdtypes)
(define-external a-gc-function       scixdtypes)
(define-external a-window-stack-mode scixdtypes)

;;; Disassembler types
(define-external d-identity          scixdtypes)
(define-external d-card8             scixdtypes)
(define-external d-card16            scixdtypes)
(define-external d-card32            scixdtypes)
(define-external d-int8              scixdtypes)
(define-external d-int16             scixdtypes)
(define-external d-int32             scixdtypes)
(define-external d-drawable          scixdtypes)
(define-external d-rootwindow        scixdtypes) ; KLUDGE. See src/dtypes.tmpl
(define-external d-window            scixdtypes)
(define-external d-pixmap            scixdtypes)
(define-external d-colormap          scixdtypes)
(define-external d-cursor            scixdtypes)
(define-external d-font              scixdtypes)
(define-external d-gcontext          scixdtypes)
(define-external d-fontable          scixdtypes)
(define-external d-atom              scixdtypes)
(define-external d-visualid          scixdtypes)
(define-external d-timestamp         scixdtypes)
(define-external d-keysym            scixdtypes)
(define-external d-byte              scixdtypes)
(define-external d-keycode           scixdtypes)
(define-external d-button            scixdtypes)
(define-external d-bool              scixdtypes)
(define-external d-bitgravity        scixdtypes) ; enumerated type
(define-external d-wingravity        scixdtypes) ; enumerated type
(define-external d-bitmask           scixdtypes)
(define-external d-setofevent        scixdtypes)
(define-external d-setofpointerevent scixdtypes)
(define-external d-setofdeviceevent  scixdtypes)
(define-external d-setofkeybutmask   scixdtypes)
(define-external d-string8           scixdtypes)
(define-external d-str               scixdtypes)
(define-external d-host              scixdtypes)
(define-external d-list              scixdtypes)
(define-external d-object            scixdtypes)
(define-external d-const             scixdtypes)
(define-external d-unused            scixdtypes)
